{
  "name": "app",
  "version": "0.0.1",
  "description": "",
  "author": "",
  "private": true,
  "license": "UNLICENSED",
  "scripts": {
    "prebuild": "rimraf dist",
    "build": "nest build",
    "format": "prettier --write \"src/**/*.ts\" \"test/**/*.ts\"",
    "start": "nest start -e 'node -r dotenv/config'",
    "start:dev": "nest start --watch -e 'node -r dotenv/config'",
    "start:debug": "nest start --debug --watch -e 'node -r dotenv/config'",
    "start:prod": "node dist/main",
    "lint": "eslint \"{src,apps,libs,test}/**/*.ts\" --fix",
    "test": "jest --require=ts-node/register --require=tsconfig-paths/register",
    "test:watch": "jest --require=ts-node/register --require=tsconfig-paths/register --watch",
    "test:cov": "jest --require=ts-node/register --require=tsconfig-paths/register --coverage",
    "test:debug": "node --inspect-brk -r tsconfig-paths/register -r ts-node/register node_modules/.bin/jest --runInBand",
    "typeorm": "node --require=dotenv/config --require=ts-node/register ./node_modules/typeorm/cli.js --config ./database/migration.ormconfig.ts",
    "typeorm:test": "node --require=dotenv/config --require=ts-node/register ./node_modules/typeorm/cli.js --config ./test/jest.ormconfig.ts",
    "fixtures": "fixtures --require=dotenv/config --require=ts-node/register --require=tsconfig-paths/register ./database/fixtures --config ./src/ormconfig.ts",
    "fixtures:test": "fixtures --require=dotenv/config --require=ts-node/register --require=tsconfig-paths/register ./database/fixtures --config ./test/jest.ormconfig.ts",
    "database:setup": "npm run typeorm migration:run && npm run fixtures && npm run typeorm:test migration:run && npm run fixtures:test"
  },
  "dependencies": {
    "@nestjs/common": "^7.6.15",
    "@nestjs/config": "^0.6.3",
    "@nestjs/core": "^7.6.15",
    "@nestjs/mapped-types": "^0.4.1",
    "@nestjs/platform-express": "^7.6.15",
    "@nestjs/swagger": "^4.8.0",
    "@nestjs/typeorm": "^7.1.5",
    "buscadorcep": "^2.1.0",
    "dotenv": "^9.0.2",
    "pg": "^8.6.0",
    "rimraf": "^3.0.2",
    "rxjs": "^6.6.6",
    "swagger-ui-express": "^4.1.6"
  },
  "devDependencies": {
    "@nestjs/cli": "^7.6.0",
    "@nestjs/schematics": "^7.3.0",
    "@nestjs/testing": "^7.6.15",
    "@types/express": "^4.17.11",
    "@types/jest": "^26.0.22",
    "@types/node": "^14.14.36",
    "@types/supertest": "^2.0.10",
    "@typescript-eslint/eslint-plugin": "^4.19.0",
    "@typescript-eslint/parser": "^4.19.0",
    "eslint": "^7.22.0",
    "eslint-config-prettier": "^8.1.0",
    "eslint-plugin-prettier": "^3.3.1",
    "jest": "^26.6.3",
    "jest-html-reporter": "^3.4.0",
    "prettier": "^2.2.1",
    "reflect-metadata": "^0.1.13",
    "supertest": "^6.1.3",
    "ts-jest": "^26.5.4",
    "ts-loader": "^8.0.18",
    "ts-node": "^9.1.1",
    "tsconfig-paths": "^3.9.0",
    "typeorm": "^0.2.32",
    "typeorm-fixtures-cli": "^1.9.1",
    "typeorm-test-transactions": "^1.14.2",
    "typescript": "^4.2.3"
  },
  "jest": {
    "globalSetup": "<rootDir>/test/jest.setup.ts",
    "setupFiles": [
      "dotenv/config"
    ],
    "setupFilesAfterEnv": [
      "<rootDir>/test/setup.mocks.ts"
    ],
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "rootDir": ".",
    "testRegex": ".*\\.spec\\.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "reporters": [
      "default",
      [
        "./node_modules/jest-html-reporter",
        {
          "pageTitle": "Test Report",
          "outputPath": "./report/test.html"
        }
      ]
    ],
    "collectCoverageFrom": [
      "src/**/*.(t|j)s"
    ],
    "coverageDirectory": "./report/coverage",
    "coverageReporters": [
      "text-summary",
      "lcov",
      "cobertura"
    ],
    "testEnvironment": "node"
  }
}
